UbixOS V2 2.0

Data Fields
sys_mmap_args Struct Reference

`#include <sysproto_posix.h>`

Collaboration diagram for sys_mmap_args:

## Data Fields
caddr_t | addr
char | addr_l_ [0]
char | addr_r_ [(sizeof(register_t)<=sizeof(caddr_t) ? 0 :sizeof(register_t) - sizeof(caddr_t))]
int | fd
char | fd_l_ [0]
char | fd_r_ [(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]
int | flags
char | flags_l_ [0]
char | flags_r_ [(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]
size_t | len
char | len_l_ [0]
char | len_r_ [(sizeof(register_t)<=sizeof(size_t) ? 0 :sizeof(register_t) - sizeof(size_t))]
off_t | pos
char | pos_l_ [0]
char | pos_r_ [(sizeof(register_t)<=sizeof(off_t) ? 0 :sizeof(register_t) - sizeof(off_t))]
int | prot
char | prot_l_ [0]
char | prot_r_ [(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

## Detailed Description

Definition at line 378 of file sysproto_posix.h.

## Field Documentation

## ◆ addr

caddr_t sys_mmap_args::addr

Definition at line 380 of file sysproto_posix.h.

Referenced by sys_mmap().

## ◆ addr_l_

char sys_mmap_args::addr_l_[0]

Definition at line 379 of file sysproto_posix.h.

## ◆ addr_r_

char sys_mmap_args::addr_r_[(sizeof(register_t)<=sizeof(caddr_t) ? 0 :sizeof(register_t) - sizeof(caddr_t))]

Definition at line 381 of file sysproto_posix.h.

## ◆ fd

int sys_mmap_args::fd

Definition at line 392 of file sysproto_posix.h.

Referenced by sys_mmap().

## ◆ fd_l_

char sys_mmap_args::fd_l_[0]

Definition at line 391 of file sysproto_posix.h.

## ◆ fd_r_

char sys_mmap_args::fd_r_[(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

Definition at line 393 of file sysproto_posix.h.

## ◆ flags

int sys_mmap_args::flags

Definition at line 389 of file sysproto_posix.h.

## ◆ flags_l_

char sys_mmap_args::flags_l_[0]

Definition at line 388 of file sysproto_posix.h.

## ◆ flags_r_

char sys_mmap_args::flags_r_[(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

Definition at line 390 of file sysproto_posix.h.

## ◆ len

size_t sys_mmap_args::len

Definition at line 383 of file sysproto_posix.h.

Referenced by sys_mmap().

## ◆ len_l_

char sys_mmap_args::len_l_[0]

Definition at line 382 of file sysproto_posix.h.

## ◆ len_r_

char sys_mmap_args::len_r_[(sizeof(register_t)<=sizeof(size_t) ? 0 :sizeof(register_t) - sizeof(size_t))]

Definition at line 384 of file sysproto_posix.h.

## ◆ pos

off_t sys_mmap_args::pos

Definition at line 395 of file sysproto_posix.h.

Referenced by sys_mmap().

## ◆ pos_l_

char sys_mmap_args::pos_l_[0]

Definition at line 394 of file sysproto_posix.h.

## ◆ pos_r_

char sys_mmap_args::pos_r_[(sizeof(register_t)<=sizeof(off_t) ? 0 :sizeof(register_t) - sizeof(off_t))]

Definition at line 396 of file sysproto_posix.h.

## ◆ prot

int sys_mmap_args::prot

Definition at line 386 of file sysproto_posix.h.

## ◆ prot_l_

char sys_mmap_args::prot_l_[0]

Definition at line 385 of file sysproto_posix.h.

## ◆ prot_r_

char sys_mmap_args::prot_r_[(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

Definition at line 387 of file sysproto_posix.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto_posix.h